文档

mPaaS 10.2.3 适配 iOS17

更新时间:

本文介绍了 mPaaS 10.2.3 版本基线为 iOS 17 进行的适配,以及用户需要完成的适配工作。

背景

iOS 17 将于 2023 年 9 月正式发布,针对新的系统特性和接口,App 需要进行相关的适配。目前 mPaaS 已在 ≥10.2.3.30 版本的基线版中完成对 iOS 17 beta(7) 版本下的适配和测试工作。

现状

mPaaS 作为基础库,已经在 Xcode 14 构建 ipa 包下完成了 iOS 17 beta(7) 的适配和测试工作。如您的应用计划在苹果 App Store 上线,当前请 使用 Xcode 14 打包

Xcode 15 的相关工具链正在完善中。在工具链完善后,mPaaS 也会推出 Xcode 15 构建下适配 iOS 17 的版本。

升级基线

将基线版本升级到 10.2.3.30 及以上。

当前基线为 10.1.68 主基线

请先参考 mPaaS 10.2.3 适配 Xcode14 升级到 10.2.3 最新基线并进行相关适配。

当前基线为定制基线

如果您使用的是定制基线,请搜索群号 41708565 加入钉钉群或提交工单咨询对应的售后及技术支持人员,是否可切换到 10.2.3 基线。

升级方式

基于 Extension 插件升级

使用 mPaaS Xcode Extension 插件升级 SDK/组件,您可以选择以下两种方式:

您需要根据自身情况选择升级方式。如果您:

  • 已经使用 Extension 插件管理组件依赖,但当前使用的基线版本低于 10.2.3,可使用 升级基线 功能升级至 10.2.3 版本。

    说明

    当前使用的基线版本可在插件的 基线升级 中查看。

  • 已经使用插件管理组件依赖,且当前使用的基线版本为 10.2.3,可使用 更新产品集 功能升级所使用到的模块。

  • 未使用插件管理组件依赖。可按照以下步骤进行升级:

    1. 安装 mPaaS Xcode Extension

    2. 使用 编辑模块 功能选择 10.2.3 版本基线并添加所需模块。

基于 CocoaPods 升级

按照以下步骤,即可安装 10.2.3 版本的最新 SDK:

  1. 首先确保 Podfile 中 mPaaS 组件的版本号为 10.2.3

  2. 执行 pod mpaas update 10.2.3。如果提示命令报错,需通过 pod mpaas update --all 命令先更新插件,再重新执行。

  3. 执行 pod install

API 变更

iOS17 Release Note 无显示声明特定 API 变化会引起适配问题。

iOS 17 适配

于 2023 年 9 月正式发布,针对新的系统特性和接口,APP 需要进行相关的适配。

  • 本基线已基于 iOS 17 beta(7) 版本,在 Xcode 14 构建 ipa 包下完成了适配和测试工作;

  • 如您的应用计划在苹果 App Store 上线,当前请 使用 Xcode 14 打包

  • Xcode 15 的相关工具链正在完善中。在工具链完善后,mPaaS 也会推出 Xcode 15 构建下适配 iOS 17 的版本。

iOS 17 的适配点主要涉及音频编解码、隐私包括日历与相册权限功能变更等,涉及到的相关组件如下,包含并不仅限于下列组件:

  • 基础框架

  • 音视频

  • 扫码

  • 小程序

  • 分享

  • 部分内部依赖组件

使用了以上组件的 App,均需要在 iOS 17 下进行完整测试验证以保障功能、兼容性、稳定性等。

定制基线的处理

如果您使用的是定制基线,可能需要基于新版本重新定制,请 提交工单 或联系 mPaaS 支持人员确认。

  • 本页导读 (0)